# ClusterProperties

Properties of a database cluster.

## Properties

| Name                  | Type                                                                   | Description                                                                                                                                                                                                                                                                      | Notes       |
| --------------------- | ---------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ----------- |
| **displayName**       | **String**                                                             | The name of your cluster.                                                                                                                                                                                                                                                        | \[optional] |
| **mongoDBVersion**    | **String**                                                             | The MongoDB version of your cluster.                                                                                                                                                                                                                                             | \[optional] |
| **location**          | **String**                                                             | The physical location where the cluster will be created. This is the location where all your instances will be located. This property is immutable.                                                                                                                              | \[optional] |
| **instances**         | **Integer**                                                            | The total number of instances in the cluster (one primary and n-1 secondaries).                                                                                                                                                                                                  | \[optional] |
| **connections**       | [**List\<Connection>**](/mongodb-sdk-java/models/connection.md)        |                                                                                                                                                                                                                                                                                  | \[optional] |
| **maintenanceWindow** | [**MaintenanceWindow**](/mongodb-sdk-java/models/maintenancewindow.md) |                                                                                                                                                                                                                                                                                  | \[optional] |
| **templateID**        | **String**                                                             | The unique ID of the template, which specifies the number of cores, storage size, and memory. You cannot downgrade to a smaller template or minor edition (e.g. from business to playground). To get a list of all templates to confirm the changes use the /templates endpoint. | \[optional] |
| **connectionString**  | **String**                                                             | The connection string for your cluster.                                                                                                                                                                                                                                          | \[optional] |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ionos.com/mongodb-sdk-java/models/clusterproperties.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
